ThreatFire Quick Start Guide

ThreatFire is an easy-to-use application designed to protect your computer against malware such as viruses, trojans, spyware, rootkits, keyloggers, and buffer overflows by intelligently detecting and blocking behavior consistent with that of malware. ThreatFire does this by constantly monitoring your system, and analyzing programs and process activity. Whenever ThreatFire detects any unusual process or activity, it will display an alert with further information on the threat. If it is a known threat, then ThreatFire will automatically quarantine the malware and no further action is required on your part. If the threat is unknown, or new, then ThreatFire will display an alert and prompt you to "Allow this process to continue" or Kill and quarantine this process" or "Kill this process." All alerts provide detailed information to help you make an informed decision.

This Quick Start Guide is designed to get you started using ThreatFire immediately. Upon installation ThreatFire is already actively protecting you; no further configuration or action is necessary on your part.

Note: Click here for detailed ThreatFire Help which is available online. An Internet connection is required to view this documentation.

For those users new to ThreatFire and behavior-based protection it is highly recommended that you view the ThreatFire tutorial. This short tutorial is web-based and very easy to walk through quickly. It will launch automatically when you first install ThreatFire. You may go back and view this tutorial for reference at any time by right-clicking on the ThreatFire tray icon and choosing Tutorial. Alternatively you may view the tutorial at any time from the ThreatFire website here: http://www.threatfire.com/tutorial/

When you launch ThreatFire, you are taken to the Security Status screen which displays a large button indicating whether ThreatFire protection is ON or OFF. You'll also see three tabs below the button: Worldwide Detection, Protection Statistics and System Status. The default display is the worldwide detection map, which displays recent threats that ThreatFire has detected in the wild and has protected its users from.

If ThreatFire is minimized to the System Tray, double-click its icon to launch ThreatFire and display the Security Status screen. Alternatively, right-click the icon to display the pop-up menu from where you can open ThreatFire, view the introductory tutorial, view this Quick Start Guide, view the status report, and activate/suspend ThreatFire protection.

Security Status screen

Toggle the link to activate or deactivate ThreatFire's behavior-based detection and protection.

Worldwide Detection tab

When you click on the Worldwide Detection tab you'll see two lists on the left side, Malware and Adware, along with a map on the right side. The threats in the lists are all threats detected by current users in the ThreatFire Community, and thus are threats that ThreatFire is now protecting you from as well. Click on any of the threats in the Malware or Adware lists on the left-hand side and the map on the right will display red dots corresponding to the threat's recent geographical distribution within the ThreatFire Community.

Protection Statistics tab

Clicking the Protection Statistics tab displays ThreatFire's Security Status Report. This report shows protection statistics for both Your Protection and Community Protection. 'Your Protection' provides you with information on what ThreatFire is doing to protect your particular PC. 'Community Protection' provides you information on what ThreatFire is doing to protect the entire community of ThreatFire users. The report is divided into tabs allowing you to view the report for specific time periods. Simply click on a tab to view the report for the current day, the last 7 days, the last 90 days or the Total report for all time periods.

The report lists:

  • Events Analyzed: The number of times ThreatFire has evaluated an action to determine whether it was potentially harmful.

  • Programs Examined: The number of processes that ThreatFire monitored or examined for signs of suspicious behavior.

  • Suspicious Activities Detected: The number of times that ThreatFire has flagged a potentially risky process.

  • Malware Blocked: The number of times that ThreatFire has discovered and blocked Malware.

System Status tab

This section of the Security Status screen displays information on the current product version in use. This section also displays information on whether or not you have the latest version of ThreatFire, when the last rootkit scan and Smart Update were run.

Navigation

Clicking these buttons on the left of the product interface does the following actions:

Takes you to the Security Status screen which displays a button to activate/deactivate ThreatFire protection and also displays reports on ThreatFire's recent worldwide threat detection and protection statistics for your PC as well as the entire ThreatFire Community. System Status displays version and other program status information.

Displays PC Tools news, blog feeds and other special announcements.

Displays information about how the behavior-based protection in ThreatFire is different from the traditional signature-based products that you may be more familiar with. You will also find the Rootkit Scan screen where you can run a Full Scan (comprehensive) or Intelli-Scan (partial) to seek out deeply hidden rootkits.

Displays the Threat Control Center, where you can view and manage items that are allowed, denied or quarantined by ThreatFire.

Takes you to the Advanced Tools screen which consists of a System Activity Monitor for viewing detailed information on all running processes and Advanced Rule Settings which enables advanced users to configure custom rules for ThreatFire to enforce.

Displays the Settings screen from where you can configure a range of ThreatFire's settings including General, Quarantine, and Scan settings.

Smart Update

PC Tools releases frequent Smart Updates to provide enhancements to ThreatFire. The Smart Update function can be initiated at any time by clicking Smart Update at the top of the product interface. Please be aware that the main application may close temporarily while updates are downloading and being implemented. If so, ThreatFire restarts immediately once this process is complete.

Help menu

The Help menu provides access to this Quick Start Guide, the introductory Tutorial, more detailed Help, relevant ThreatFire and PC Tools web pages and the product About screen.

License Agreement

Click here to view the ThreatFire End User Licence Agreement ("EULA").

Copyright © 2004-2009 PC Tools. All rights reserved.